//
// Created by lin he on 2021/5/25.
//

#ifndef FLUTTER_LOGGER_NATIVE_LOGHELPER_H
#define FLUTTER_LOGGER_NATIVE_LOGHELPER_H
#include <stdint.h>

typedef enum{
    /**
     *  0...00001 NFlagError
     */
    NFlagError      = (1 << 0),

    /**
     *  0...00010 NFlagWarning
     */
    NFlagWarning    = (1 << 1),

    /**
     *  0...00100 NFlagInfo
     */
    NFlagInfo       = (1 << 2),

    /**
     *  0...01000 NFlagDebug
     */
    NFlagDebug      = (1 << 3),

    /**
     *  0...10000 NFlagVerbose
     */
    NFlagVerbose    = (1 << 4)

} NativeLogFlag;

typedef void (*DartLogger)(NativeLogFlag flag, int8_t simulator,char* tag, char* msg);

int32_t native_log_func(NativeLogFlag flag, char* tag, char* msg, DartLogger callback);

#endif //FLUTTER_LOGGER_NATIVE_LOGHELPER_H
