# flutter_logger_native

A fluttter logger to native via ffi.

## Usage

```dart
import 'package:flutter_logger_native/flutter_logger_native.dart';

// Log() is Singleton (factory)
// set log level
Log().currentLevel = YDLogLevel.All;

// Printed without called location
Log().v('Hello verbose!');
// 2021-05-25 19:05:07.219937 Verbose-> package:flutter_logger_native_example/main.dart_34, Hello verbose!

// Printed function which returns object
Log().i('Hello info!');
// 2021-05-25 19:05:07.219937 Info-> package:flutter_logger_native_example/main.dart_34, Hello info!

// set log level again
Log().currentLevel = YDLogLevel.Info;

// Not printed
Log().d('Hello debug!');

// Printed
Log().e('Hello error!');
// 2021-05-25 19:05:07.219937 Error-> package:flutter_logger_native_example/main.dart_34, Hello error!

// Printed
Log().w('Hello shout!');
// 2021-05-25 19:05:07.219937 Warning-> package:flutter_logger_native_example/main.dart_34, Hello shout!

