class YDLogFlag{
  static const Error = 1<<0;
  static const Warning = 1<<1;
  static const Info = 1<<2;
  static const Debug = 1<<3;
  static const Verbose = 1<<4;
}
const int _maxInt = (double.infinity is int) ? double.infinity as int : ~_minInt;
const int _minInt = (double.infinity is int) ? -double.infinity as int : (-1 << 63);
class YDLogLevel{
  static const Off = 0;
  static const Error = YDLogFlag.Error;
  static const Warning = Error | YDLogFlag.Warning;
  static const Info = Warning | YDLogFlag.Info;
  static const Debug = Info | YDLogFlag.Debug;
  static const Verbose = Debug | YDLogFlag.Verbose;
  static const All = _maxInt;
}